TIMESTAMP = "20250825-1000"
BUILD_PRETTY_DATE = "Mon Aug 25 10:00:00 AM EDT 2025"
BRANCH = "master"
RELEASE_VER = "4.37"
STREAM = "4.37.0"
STREAMMajor = "4"
STREAMMinor = "37"
STREAMService = "0"
GIT_ROOT = "git@github.com:"
AGG_REPO = "eclipse-platform/eclipse.platform.releng.aggregator.git"
AGG_DIR = "gitCache/eclipse.platform.releng.aggregator"
DROP_DIR = "siteDir/eclipse/downloads/drops4"
UPDATES_DIR = "siteDir/eclipse/updates"
EQUINOX_DROP_DIR = "siteDir/equinox/drops"
TMP_DIR = "tmp"
DOWNLOAD_HOST = "download.eclipse.org"
BUILD_TO_COMPARE_SITE = "ftp.osuosl.org/pub/eclipse/eclipse/updates"
LOCAL_REPO = "localMavenRepo"
BASEBUILDER_TAG = "4.36"
API_PREV_REF_LABEL = "4.36"
PREVIOUS_RELEASE_VER = "4.36"
PREVIOUS_RELEASE_REPO_ID = "4.36"
BASEBUILD_ID = "R-4.36-202505281830"
PREVIOUS_RELEASE_ID = "R-4.36-202505281830"
BUILDTOOLS_REPO = "https://download.eclipse.org/eclipse/updates/buildtools/snapshots"
WEBTOOLS_REPO = "https://download.eclipse.org/webtools/downloads/drops/R3.37.0/R-3.37.0-20250303081219/repositoryunittests/"
BASEBUILDER_DIR = "tmp/org.eclipse.releng.basebuilder"
ECLIPSE_RUN_REPO = "https://download.eclipse.org/eclipse/updates/4.37-I-builds/"
JAVA_DOC_TOOL = "-Declipse.javadoc=/opt/tools/java/openjdk/jdk-17/latest/bin/javadoc"
BUILD_ENV_FILE = "/home/jenkins/agent/workspace/YPBuilds/Y-build-4.37/cje-production/buildproperties.shsource"
BUILD_ENV_FILE_PHP = "/home/jenkins/agent/workspace/YPBuilds/Y-build-4.37/cje-production/buildproperties.php"
BUILD_ENV_FILE_PROP = "/home/jenkins/agent/workspace/YPBuilds/Y-build-4.37/cje-production/buildproperties.properties"
BUILD_TYPE = "Y"
BUILD_TYPE_NAME = "Beta Java 25"
PATCH_OR_BRANCH_LABEL = "java25"
BUILD_ID = "Y20250825-1000"
BUILD_DIR_SEG = "Y20250825-1000"
EQ_BUILD_DIR_SEG = "Y20250825-1000"
ECLIPSE_BUILDER_DIR = "/home/jenkins/agent/workspace/YPBuilds/Y-build-4.37/cje-production/gitCache/eclipse.platform.releng.aggregator/eclipse.platform.releng.tychoeclipsebuilder"
PLATFORM_PRODUCTS_DIR = "/home/jenkins/agent/workspace/YPBuilds/Y-build-4.37/cje-production/gitCache/eclipse.platform.releng.aggregator/eclipse.platform.releng.tychoeclipsebuilder/eclipse.platform.repository/target/products"
PLATFORM_REPO_DIR = "/home/jenkins/agent/workspace/YPBuilds/Y-build-4.37/cje-production/gitCache/eclipse.platform.releng.aggregator/eclipse.platform.releng.tychoeclipsebuilder/eclipse.platform.repository/target/repository"
PLATFORM_TARGET_DIR = "/home/jenkins/agent/workspace/YPBuilds/Y-build-4.37/cje-production/gitCache/eclipse.platform.releng.aggregator/eclipse.platform.releng.tychoeclipsebuilder/eclipse.platform.repository/target"
TEST_CONFIGURATIONS_EXPECTED = "ep437Y-unit-linux-x86_64-java21_linux.gtk.x86_64_21,ep437Y-unit-linux-x86_64-java25_linux.gtk.x86_64_25,ep437Y-unit-macosx-aarch64-java21_macosx.cocoa.aarch64_21,ep437Y-unit-macosx-x86_64-java21_macosx.cocoa.x86_64_21"
LAUNCHER_JAR = "/home/jenkins/agent/workspace/YPBuilds/Y-build-4.37/cje-production/tmp/org.eclipse.releng.basebuilder/plugins/org.eclipse.equinox.launcher_1.7.0.v20250519-0528.jar"
COMPARATOR_ERRORS_SUBJECT = ""
